<?php

declare (strict_types=1);
namespace WpifyWooDeps\h4kuna\Ares;

use WpifyWooDeps\GuzzleHttp;
interface IFactory
{
    function createData(array $data) : Data;
    function createGuzzleClient(array $options) : GuzzleHttp\Client;
    function createDataProvider() : DataProvider;
    function createBodyFactory() : BodyFactory;
}
