<?php

namespace WpifyWoo\PacketeraSDK\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DispatchOrderUnknownCodeFault StructType
 * Meta information extracted from the WSDL
 * - type: tns:DispatchOrderUnknownCodeFault
 * @subpackage Structs
 */
class DispatchOrderUnknownCodeFault extends AbstractStructBase
{
    /**
     * The codes
     * @var \WpifyWoo\PacketeraSDK\StructType\Codes
     */
    public $codes;
    /**
     * Constructor method for DispatchOrderUnknownCodeFault
     * @uses DispatchOrderUnknownCodeFault::setCodes()
     * @param \WpifyWoo\PacketeraSDK\StructType\Codes $codes
     */
    public function __construct(\WpifyWoo\PacketeraSDK\StructType\Codes $codes = null)
    {
        $this
            ->setCodes($codes);
    }
    /**
     * Get codes value
     * @return \WpifyWoo\PacketeraSDK\StructType\Codes|null
     */
    public function getCodes()
    {
        return $this->codes;
    }
    /**
     * Set codes value
     * @param \WpifyWoo\PacketeraSDK\StructType\Codes $codes
     * @return \WpifyWoo\PacketeraSDK\StructType\DispatchOrderUnknownCodeFault
     */
    public function setCodes(\WpifyWoo\PacketeraSDK\StructType\Codes $codes = null)
    {
        $this->codes = $codes;
        return $this;
    }
}
