<?php

namespace WpifyWoo\PacketeraSDK\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Is ServiceType
 * @subpackage Services
 */
class Is extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named isLiftagoAvailable
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $apiPassword
     * @param \WpifyWoo\PacketeraSDK\StructType\IsLiftagoAvailable $addresses
     * @return \WpifyWoo\PacketeraSDK\StructType\IsLiftagoAvailableDetail|bool
     */
    public function isLiftagoAvailable($apiPassword, \WpifyWoo\PacketeraSDK\StructType\IsLiftagoAvailable $addresses)
    {
        try {
            $this->setResult($this->getSoapClient()->__soapCall('isLiftagoAvailable', array(
                $apiPassword,
                $addresses,
            ), array(), array(), $this->outputHeaders));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \WpifyWoo\PacketeraSDK\StructType\IsLiftagoAvailableDetail
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
